Package Details: texturepacker 4.3.1-1

Git Clone URL: https://aur.archlinux.org/texturepacker.git (read-only)
Package Base: texturepacker
Description: Sprite sheet creator and image optimizer
Upstream URL: https://www.codeandweb.com/texturepacker
Keywords: 2D gamedev spritesheet
Licenses: custom:texturepacker
Submitter: Gordin
Maintainer: Rubonnek
Last Packager: Rubonnek
Votes: 17
Popularity: 0.009419
First Submitted: 2011-10-23 12:51
Last Updated: 2016-11-20 03:11

Latest Comments

jfcandidofilho commented on 2016-08-26 05:02

@ajo, I think you should create a new package for these modifications of yours. Would be awesome!

Also I'm contacting @etzos to see if he is still interested in being the maintainer. If he isn't, I will file an orphan request and suggest you as the maintainer. But please, use the original files, if this happens to occur.

ajo commented on 2016-05-18 15:25

PKGBUILD updated to 4.2.1, courtesy of Geequlim (https://github.com/Geequlim).

ajo commented on 2016-04-24 18:10

I forgot to mention I've updated my version of the PKGBUILD to 4.1.0.

ajo commented on 2016-02-24 19:59

Is someone still maintaining this package?

I rewrote the install script to fix minor details, updated to version 4.0.2 and added a few lines to strip the bundled libraries. They aren't really needed and just waste space when the Arch system ones work just fine. As a result, my PKGBUILD installs a lot smaller package but changes the dependencies.

I tested my build and probed through the dependencies with readelf, pkgfile and namcap.

I pushed my version to https://github.com/anttioja/texturepacker.git for now.

tarek commented on 2015-11-14 17:43

I updated PKGBuild with Version 4.0.1 at
https://raw.githubusercontent.com/hoteit/archlinux-aur/master/PKGBUILD

I also tested it. Thanks.

pientro commented on 2015-08-24 16:52

Versione Version 3.9.2 (2015-07-09) out

Etzos commented on 2014-08-31 20:11

Here's an updated version of the PKGBUILD and .install that fix a few of the issues with the current one (bad arch, no license, no package() function, etc.):
https://github.com/Etzos/ArchPackages/tree/master/texturepacker

Etzos commented on 2014-08-31 20:09

Here's an updated version of the PKGBUILD and .install that fix a few of the problems (bad arch, no license, no package() function, etc.).

semi commented on 2014-08-15 17:18

Version 3.4.0 PKGBUILD based on josefnpat's PKGBUILD:

https://gist.github.com/sseemayer/2daaa348e88d6ed8640e

josefnpat commented on 2014-06-19 04:27

I was easily able to get 3.3.4 working with minimal changes of the PKGBUILD;

My version here; http://pastebin.com/raw.php?i=gPdHT9j6

`TexturePacker --gui` works flawlessly.

banachtarski commented on 2013-12-18 01:09

I think it makes more sense to split this into a 64 bit version and a 32 bit version, much like the packages in multilib. Hardly anybody develops on a 32 bit system anymore (64 bit is default for most packages) and in the case of texturepacker, 3.0.10 is really old.

dreucifer commented on 2013-11-19 04:25

Version 3.2.0 is now available, but only for 64bit architectures.

Gordin commented on 2013-08-04 19:01

Latest build for Linux is still 3.0.10. See here: http://www.codeandweb.com/texturepacker/download
Please check there before you flag out-of-date, the Linux version is always behind.

gogoprog commented on 2012-06-22 07:43

The source URL must be updated!

Gordin commented on 2012-02-06 23:28

thanks jiggak, I fixed the dependencies

jiggak commented on 2012-01-29 19:36

qtwebkit should be in dependencies list otherwise you get:

TexturePacker: error while loading shared libraries: libQtWebKit.so.4: cannot open shared object file: No such file or directory

onny commented on 2012-01-13 15:25

new version is available: http://code-and-web.de/downloads/texturepacker/2.4.0/TexturePacker-2.4.0-Linux-64.deb